# there are sphinx.spec, sphinx2.spec...  Sphinx.spec is too confusing
# therefore the name for this package is sphinx-pdg (pdg - python
# documentation generator)
#
# Conditional build:
%bcond_without	python2		# CPython 2.x version
%bcond_without	python3		# CPython 3.x version
%bcond_without	python3_default	# Use Python 3.x for easy_install executable

Summary:	Sphinx - Python documentation generator
Summary(pl.UTF-8):	Sphinx - narzędzie do tworzenia dokumentacji dla Pythona
Name:		sphinx-pdg
Version:	1.4.1
Release:	3
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://pypi.python.org/simple/Sphinx
Source0:	https://pypi.python.org/packages/61/14/1b1edb28bebde124c455e4dea9cd70685ad8dd2f6baa1a8effe665ebeb23/Sphinx-%{version}.tar.gz
# Source0-md5:	4c4988e0306a04cef8dccc384281e585
Patch0:		float-ver.patch
Patch1:		docutils-0.13.patch
URL:		http://sphinx.pocoo.org/
%if %{with python2}
BuildRequires:	python-babel >= 1.3
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules >= 1:2.5
BuildRequires:	python-setuptools >= 7.0
%endif
%if %{with python3}
BuildRequires:	python3-2to3
BuildRequires:	python3-babel >= 1.3
BuildRequires:	python3-devel
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools >= 7.0
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with python3_default}
Requires:	sphinx-pdg-3 = %{version}-%{release}
%else
Requires:	sphinx-pdg-2 = %{version}-%{release}
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sphinx is a tool that makes it easy to create intelligent and
beautiful documentation for Python projects (or other documents
consisting of multiple reStructuredText sources), written by Georg
Brandl. It was originally created to translate the new Python
documentation, but has now been cleaned up in the hope that it will be
useful to many other projects.

%description -l pl.UTF-8
Sphinx to narzędzie ułatwiające tworzenie inteligentnej i ładnej
dokumentacji dla projektów w Pythonie (lub innych dokumentów
składających się z wielu źródeł w formacie reStructuredText), napisane
przez Georga Brandla. Pierwotnie powstało do tłumaczenia nowej
dokumentacji Pythona, ale potem zostało wyczyszczone w nadziei, że
będzie przydatne dla wielu innych projektów.

%package 2
Summary:	Sphinx Python documentation generator (Python 2 version)
Summary(pl.UTF-8):	Sphinx - narzędzie do tworzenia dokumentacji dla Pythona (wersja dla Pythona 2)
Group:		Development/Languages/Python
Requires:	python-Sphinx = %{version}-%{release}
Conflicts:	sphinx-pdg < 1.3.2

%description 2
Sphinx is a tool that makes it easy to create intelligent and
beautiful documentation for Python projects (or other documents
consisting of multiple reStructuredText sources), written by Georg
Brandl. It was originally created to translate the new Python
documentation, but has now been cleaned up in the hope that it will be
useful to many other projects.

%description 2 -l pl.UTF-8
Sphinx to narzędzie ułatwiające tworzenie inteligentnej i ładnej
dokumentacji dla projektów w Pythonie (lub innych dokumentów
składających się z wielu źródeł w formacie reStructuredText), napisane
przez Georga Brandla. Pierwotnie powstało do tłumaczenia nowej
dokumentacji Pythona, ale potem zostało wyczyszczone w nadziei, że
będzie przydatne dla wielu innych projektów.

%package 3
Summary:	Sphinx Python documentation generator (Python 3 version)
Summary(pl.UTF-8):	Sphinx - narzędzie do tworzenia dokumentacji dla Pythona (wersja dla Pythona 3)
Group:		Development/Languages/Python
Requires:	python3-Sphinx = %{version}-%{release}
Conflicts:	sphinx-pdg < 1.3.2

%description 3
Sphinx is a tool that makes it easy to create intelligent and
beautiful documentation for Python projects (or other documents
consisting of multiple reStructuredText sources), written by Georg
Brandl. It was originally created to translate the new Python
documentation, but has now been cleaned up in the hope that it will be
useful to many other projects.

%description 3 -l pl.UTF-8
Sphinx to narzędzie ułatwiające tworzenie inteligentnej i ładnej
dokumentacji dla projektów w Pythonie (lub innych dokumentów
składających się z wielu źródeł w formacie reStructuredText), napisane
przez Georga Brandla. Pierwotnie powstało do tłumaczenia nowej
dokumentacji Pythona, ale potem zostało wyczyszczone w nadziei, że
będzie przydatne dla wielu innych projektów.

%package -n python-Sphinx
Summary:	Sphinx Python documentation generator (Python 2.x modules)
Summary(pl.UTF-8):	Sphinx - narzędzie do tworzenia dokumentacji dla Pythona (moduły Pythona 2.x)
Group:		Development/Languages/Python
Requires:	python-modules
Conflicts:	sphinx-pdg < 1.0.7-2

%description -n python-Sphinx
Sphinx Python documentation generator (Python 2.x modules).

For command-line utilities, see sphinx-pdg package.

%description -n python-Sphinx -l pl.UTF-8
Sphinx - narzędzie do tworzenia dokumentacji dla Pythona (moduły
Pythona 2.x).

Narzędzia działające z linii poleceń znajdują się w pakiecie
sphinx-pdg.

%package -n python3-Sphinx
Summary:	Sphinx Python documentation generator (Python 3.x modules)
Summary(pl.UTF-8):	Sphinx - narzędzie do tworzenia dokumentacji dla Pythona (moduły Pythona 3.x)
Group:		Development/Languages/Python
Conflicts:	sphinx-pdg-3 < 1.0.7-2

%description -n python3-Sphinx
Sphinx Python documentation generator (Python 3.x modules).

For command-line utilities, see sphinx-pdg-3 package.

%description -n python3-Sphinx -l pl.UTF-8
Sphinx - narzędzie do tworzenia dokumentacji dla Pythona (moduły
Pythona 3.x).

Narzędzia działające z linii poleceń znajdują się w pakiecie
sphinx-pdg-3.

%prep
%setup -q -n Sphinx-%{version}
%patch0 -p1
%patch1 -p1

%build
%if %{with python2}
%py_build
%{__rm} sphinx/__init__.pyc
%endif

%if %{with python3}
%py3_build
%{__rm} -r sphinx/__pycache__
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install
%{__rm} sphinx/__init__.pyc
%py_postclean

for f in $RPM_BUILD_ROOT%{_bindir}/*; do
	%{__mv} "${f}" "${f}-2"
done
%endif

%if %{with python3}
%py3_install
%{__rm} -r sphinx/__pycache__

for f in $RPM_BUILD_ROOT%{_bindir}/*; do
	[ "${f%%-2}" == "$f" ] || continue
	%{__mv} "${f}" "${f}-3"
done
%endif

%if %{with python3_default}
for f in $RPM_BUILD_ROOT%{_bindir}/*-3; do
	ln -sf "$(basename "$f")" "${f%%-3}"
done
%else
for f in $RPM_BUILD_ROOT%{_bindir}/*-2; do
	ln -sf "$(basename "$f")" "${f%%-2}"
done
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/sphinx-apidoc
%attr(755,root,root) %{_bindir}/sphinx-autogen
%attr(755,root,root) %{_bindir}/sphinx-build
%attr(755,root,root) %{_bindir}/sphinx-quickstart

%if %{with python2}
%files 2
%defattr(644,root,root,755)
%doc AUTHORS CHANGES EXAMPLES LICENSE PKG-INFO README.rst
%attr(755,root,root) %{_bindir}/sphinx-apidoc-2
%attr(755,root,root) %{_bindir}/sphinx-autogen-2
%attr(755,root,root) %{_bindir}/sphinx-build-2
%attr(755,root,root) %{_bindir}/sphinx-quickstart-2
%endif

%if %{with python3}
%files 3
%defattr(644,root,root,755)
%doc AUTHORS CHANGES EXAMPLES LICENSE PKG-INFO README.rst
%attr(755,root,root) %{_bindir}/sphinx-apidoc-3
%attr(755,root,root) %{_bindir}/sphinx-autogen-3
%attr(755,root,root) %{_bindir}/sphinx-build-3
%attr(755,root,root) %{_bindir}/sphinx-quickstart-3
%endif

%if %{with python2}
%files -n python-Sphinx
%defattr(644,root,root,755)
%{py_sitescriptdir}/sphinx
%{py_sitescriptdir}/Sphinx-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-Sphinx
%defattr(644,root,root,755)
%{py3_sitescriptdir}/sphinx
%{py3_sitescriptdir}/Sphinx-%{version}-py*.egg-info
%endif
%changelog
* Fri Jan 27 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sphinx-pdg.git;a=log;h=master

* Fri Jan 27 2017 Jan Rękorajski <baggins@pld-linux.org> 45b57c9
- fix interoperability with docutils 0.13 (https://github.com/sphinx-doc/sphinx/issues/3212)
- rel 3

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> fe6961e
- python 3.6
- release 2 (by relup.sh)

* Thu May 12 2016 Jakub Bogusz <qboosh@pld-linux.org> 1605eae
- updated to 1.4.1
- updated float-ver patch

* Sun Dec 13 2015 Jan Rękorajski <baggins@pld-linux.org> 8cbf9e7
- fix comparison of float and sting
- rel 2

* Tue Dec 08 2015 Jakub Bogusz <qboosh@pld-linux.org> 930a11b
- updated to 1.3.3

* Sun Dec 06 2015 Jan Rękorajski <baggins@pld-linux.org> f5b88ee
- release 2 (by relup.sh)

* Wed Dec 02 2015 Jakub Bogusz <qboosh@pld-linux.org> 19a3906
- create symmetric -2 and -3 subpackages; base package contains just symlinks to one of them
- dropped -devel-tools dependencies (pdb is now optional, used when -P option is specified)
- dropped (outdated) dependencies duplicating autodetected python*egg(*) requires
- BR: babel (used by setup.py to enable some javascript functionality)
- added standard python2/python3 bconds

* Mon Nov 30 2015 Jakub Bogusz <qboosh@pld-linux.org> a84e921
- updated to 1.3.2

* Mon Nov 30 2015 Jacek Konieczny <jajcus@jajcus.net> e28aca0
- python-Sphinx dependency fix

* Sun Nov 29 2015 Elan Ruusamäe <glen@delfi.ee> 1594396
- rpm build macros for %{py,py3}_{build,install}

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> b9b9d28
- py_build/py_install macros, use python3 by default

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> cc0e9c8
- release 3 (by relup.sh)

* Mon Jul 13 2015 Jan Rękorajski <baggins@pld-linux.org> 64cd6df
- release 2 (by relup.sh)

* Mon Jun 15 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 1c0e06e
- Version: 1.3.1

* Mon May 04 2015 Jan Rękorajski <baggins@pld-linux.org> 0d66ca6
- x32 rebuild
- release 4 (by relup.sh)

* Tue Mar 31 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 3a32150
- Do not require the obsolete python-distribute

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 0c61ae2
- rel 2; more guarding against: sphinx-build "error: option -b not recognized"

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f762fd4
- up to 1.2.3

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 5c1a32f
- python 3.4
- release 2 (by relup.sh)

* Thu Mar 06 2014 Jakub Bogusz <qboosh@pld-linux.org> f9b0e58
- updated to 1.2.2

